<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!-- 
IGAC proyecto SNC
@author: juan.agudelo

    Pantalla que permite elaborar auto de pruebas por el funcionario responsable de conservación
    CU-NP-CO-064 Gestionar Solicitud de Pruebas
-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                xmlns:predio="http://java.sun.com/jsf/composite/predio" id="uno"
                template="/templates/generalCU.xhtml">


    <ui:define name="title">.::Sistema Nacional Catastral::. .::Gestión de pruebas::.</ui:define>
    <ui:define name="content">

        <p:ajaxStatus onstart="statusDialog.show();"
                      onsuccess="statusDialog.hide();" onerror="statusDialog.hide();" />

        <p:messages id="msgsARP" showDetail="false" globalOnly="false" />

        <h:form id="detalleSolicitarPruebasForm" prependId="false">
            <h:panelGrid id="detalleSolicitarPP" columns="1" cellspacing="7">
                <p:fieldset id="datosARP" legend="Elaborar auto de pruebas"
                            toggleable="true" toggleSpeed="500">

                    <ui:include src="datosSolicitudPruebas.xhtml">
                        <ui:param name="managedBeanParam" value="#{ejecucion}" />
                        <ui:param name="selectedTramiteParam"
                                  value="#{ejecucion.tramiteSeleccionado}" />
                        <ui:param name="msgsParam" value=":msgsARP" />
                    </ui:include>

                    <p:spacer height="0" width="8" />

                    <h:panelGrid columns="5">
                        <p:spacer height="0" width="8" />
                        <h:panelGroup>
                            <h:outputLabel value="Fecha inicio pruebas:"
                                           styleClass="outputLabelStyle" />
                            <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                        </h:panelGroup>
                        <h:panelGrid columns="2">
                            <p:calendar id="fechaIPruebas" mindate="#{general.fechaActual}"
                                        value="#{ejecucion.tramiteSeleccionado.tramitePruebas.fechaInicio}"
                                        label="Fecha inicio pruebas" required="true" effect="explode"
                                        navigator="true"
                                        pattern="#{general.formatoFecha}" showOn="both"
                                        title="#{general.formatoFechaUsuario}" size="10" />
                            <p:message for="fechaIPruebas" display="icon"></p:message>
                        </h:panelGrid>

                        <h:panelGroup>
                            <h:outputLabel value="Fecha fin pruebas:"
                                           styleClass="outputLabelStyle" />
                            <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                        </h:panelGroup>
                        <h:panelGrid columns="2">
                            <p:calendar id="fechaFPruebas" mindate="#{general.fechaActual}"
                                        value="#{ejecucion.tramiteSeleccionado.tramitePruebas.fechaFin}"
                                        label="FFecha fin pruebas" required="true" effect="explode"
                                        navigator="true"
                                        pattern="#{general.formatoFecha}" showOn="both"
                                        title="#{general.formatoFechaUsuario}" size="10" />
                            <p:message for="fechaFPruebas" display="icon"></p:message>
                        </h:panelGrid>

                    </h:panelGrid>

                    <ui:include src="datosAutoDePruebas.xhtml">
                        <ui:param name="selectedTramiteParam"
                                  value="#{ejecucion.tramiteSeleccionado}" />

                    </ui:include>

                    <p:spacer height="0" width="8" />
                    <p:outputPanel id="decisionAprobarPruebas" layout="block"
                                   style="text-align: right">

                        <p:commandButton value="Guardar" icon="ui-icon-disk" ajax="true"
                                         update=":msgsARP, decisionAprobarPruebas"
                                         action="#{ejecucion.guardarAceptacionPruebas}" />
                        <p:spacer height="10" width="8" />

                        <p:commandButton value="Generar documento auto de pruebas"
                                         icon="ui-icon-document" ajax="true"
                                         action="#{ejecucion.generarDocumentoAutoDePruebas}"
                                         onstart="statusDialog2.show()"
                                         oncomplete="statusDialog2.hide();visorReporteWV.show();"
                                         rendered="#{ejecucion.banderaGenerarDocumentoAutoDePruebas}"
                                         update=":msgsARP, :viewReport:vistaMemoForm, decisionAprobarPruebas" />
                        <p:spacer height="10" width="8" />

                        <p:commandButton value="Enviar al abogado"
                                         icon="ui-icon-person" ajax="false"
                                         update=":msgsARP"
                                         rendered="#{ejecucion.banderaGeneraDocumento}"
                                         action="#{ejecucion.enviarPruebasAbogado}" />

                    </p:outputPanel>
                </p:fieldset>
                <p:spacer height="13" width="0" />

                <p:separator style="width:925px;height:3px" />
                <p:spacer height="7" width="0" />
                <p:outputPanel layout="block" style="text-align:right">
                    <p:commandButton value="Cerrar" update="msgInfoFis"
                                     icon="ui-icon-circle-close" immediate="true"
                                     action="#{ejecucion.cerrar}" ajax="false" />
                    <p:spacer height="0" width="30" />
                </p:outputPanel>
                <p:spacer height="20" width="0" />

            </h:panelGrid>
        </h:form>

        <p:dialog header="Detalle del trámite"
                  widgetVar="detalleTramiteEjecutarWV" modal="false" appendToBody="true"
                  resizable="true" position="center" height="480" width="960">
            <ui:include src="detalleTramiteEjecucion.xhtml">
                <ui:param name="currentManagedBeanParam"
                          value="#{vistaDetallesTramite}" />
                <ui:param name="currentDetallePredioWV" value="detallePredioWV" />
            </ui:include>
        </p:dialog>

        <p:dialog header="Detalle de la solicitud" dynamic="true" 
                  widgetVar="detalleSolicitudEjecutarWV" modal="true"
                  appendToBody="true" resizable="true" position="center" height="480"
                  width="960">
            <ui:include src="detalleSolicitudEjecutar.xhtml">
                <ui:param name="currentManagedBeanParam"
                          value="#{vistaDetallesSolicitud}" />
                <ui:param name="selectedSolicitudParam"
                          value="#{vistaDetallesSolicitud.solicitudSeleccionada}" />
            </ui:include>
        </p:dialog>

        <predio:detallesPredioCC id="dpCC" thisWVName="detallePredioWV"
                                 mostrarDatosPropietarios="true" mostrarDatosTramites="true"
                                 thisIdPlusColon=":dpCC" mostrarFichaPredial="true" />

        <!-- Dialog usado para habilitar el tab de origen del predio -->
        <predio:detallesPredioCC id="dpCC2" thisWVName="detallePredioWV2"
                                 mostrarDatosPropietarios="true" mostrarDatosTramites="true"
                                 mostrarFichaPredial="true" thisIdPlusColon=":dpCC2" />

        <p:dialog header="Número Predial Anterior"
                  widgetVar="numPredAnteriorDlg" appendToBody="true" modal="true"
                  height="500" width="800">
            <ui:include src="../consultarNumeroPredialAnterior.xhtml" />
        </p:dialog>

        <misc:visualizadorMemorandosCC
            id="viewReport"
            thisWVName="visorReporteWV"
            urlDocumento="#{ejecucion.reporteAutoDePruebas.urlWebReporte}"
            fileContent="#{ejecucion.reporteAutoDePruebas.streamedContentReporte}"
            documentoGenerado="#{ejecucion.reporteAutoDePruebas ne null}"
            radicarButtonVisible="false"
            cancelButtonEnabled="true"/>	

        <misc:docViewerWithCloseDecisionCC id="docViewer"
                                           confirmUpdate="msgInfoFis" confirmDialogWV="docViewerWV"
                                           ajaxBehavior="true"
                                           selectedDocumentAtt="#{previsualizacionDocumento.rutaArchivoTemporal}"
                                           showDownloadButton="#{previsualizacionDocumento.documentoDwg}"
                                           fileContent="#{previsualizacionDocumento.reporteDTO.streamedContentReporte}"
                                           doctypeAtt="#{vistaDetallesTramite.tipoMimeDocTemporal}"
                                           headerLabel="Previsualización de documento" yesRendered="false"
                                           noLabel="Cerrar" />
        <ui:include src="../../util/visorGeografico.xhtml" />
    </ui:define>
</ui:composition>
